<?php

if ( ! function_exists( 'theaisle_core_register_widgets' ) ) {
    function theaisle_core_register_widgets() {
        $widgets = apply_filters( 'theaisle_core_filter_register_widgets', $widgets = array() );

        foreach ( $widgets as $widget ) {
            register_widget( $widget );
        }
    }

    add_action( 'widgets_init', 'theaisle_core_register_widgets' );
}